Data Fields
_ll_spim_init_t Struct Reference
Peripheral Driver » LL Driver » SPI » Structures » SPI Exported init structure

LL SPIM init structures definition. More...

`#include <gr55xx_ll_spi.h>`

## Data Fields
uint32_t | transfer_direction
uint32_t | data_size
uint32_t | clock_polarity
uint32_t | clock_phase
uint32_t | slave_select
uint32_t | baud_rate

## Detailed Description

LL SPIM init structures definition.

## Field Documentation

## ◆ baud_rate

uint32_t _ll_spim_init_t::baud_rate

Specifies the BaudRate prescaler value which will be used to configure the transmit and receive SCK clock. This parameter can be one even value between 2 and 65534, if the value is 0, the SCLK is disable.

Note
  The communication clock is derived from the master clock. The slave clock does not need to be set.

This feature can be modified afterwards using unitary function ll_spi_set_baud_rate_prescaler().

## ◆ clock_phase

uint32_t _ll_spim_init_t::clock_phase

Specifies the clock active edge for the bit capture. This parameter can be a value of Clock Phase.

This feature can be modified afterwards using unitary function ll_spi_set_clock_phase().

## ◆ clock_polarity

uint32_t _ll_spim_init_t::clock_polarity

Specifies the serial clock steady state. This parameter can be a value of Clock Polarity.

This feature can be modified afterwards using unitary function ll_spi_set_clock_polarity().

## ◆ data_size

uint32_t _ll_spim_init_t::data_size

Specifies the SPI data size. This parameter can be a value of Datawidth.

This feature can be modified afterwards using unitary function ll_spi_set_data_size().

## ◆ slave_select

uint32_t _ll_spim_init_t::slave_select

Specifies the SPI slave select. This parameter can be a value of Slave Select.

This feature can be modified afterwards using unitary function ll_spi_enable_ss().

## ◆ transfer_direction

uint32_t _ll_spim_init_t::transfer_direction

Specifies the SPI unidirectional or bidirectional data mode. This parameter can be a value of Transfer Mode.

This feature can be modified afterwards using unitary function ll_spi_set_transfer_direction().

The documentation for this struct was generated from the following file:

- gr55xx_ll_spi.h